Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2883503002: Use TaskScheduler instead of SequencedWorkerPool in task_manager_impl.cc. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 2 weeks ago by fdoray
Modified:
4 months ago
Reviewers:
ncarter (slow)
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use TaskScheduler instead of SequencedWorkerPool in task_manager_impl.cc. SequencedWorkerPool is being deprecated in favor of TaskScheduler. BUG=667892 R=nick@chromium.org Review-Url: https://codereview.chromium.org/2883503002 Cr-Commit-Position: refs/heads/master@{#473703} Committed: https://chromium.googlesource.com/chromium/src/+/fc395879fe38b3a86febe1dfc38e72d271801398

Patch Set 1 #

Total comments: 2

Patch Set 2 : CR-ncarter-7 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -9 lines) Patch
M chrome/browser/task_manager/sampling/task_manager_impl.cc View 1 3 chunks +4 lines, -9 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_cronet   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   win_clang   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (11 generated)
fdoray
4 months, 2 weeks ago (2017-05-12 17:26:51 UTC) #1
fdoray
Please take a look. This CL was generated automatically. The base::MayBlock() trait was specified for ...
4 months, 2 weeks ago (2017-05-12 17:26:53 UTC) #3
ncarter (slow)
https://codereview.chromium.org/2883503002/diff/1/chrome/browser/task_manager/sampling/task_manager_impl.cc File chrome/browser/task_manager/sampling/task_manager_impl.cc (right): https://codereview.chromium.org/2883503002/diff/1/chrome/browser/task_manager/sampling/task_manager_impl.cc#newcode45 chrome/browser/task_manager/sampling/task_manager_impl.cc:45: {base::MayBlock(), base::TaskPriority::BACKGROUND})), I think SKIP_SHUTDOWN would be appropriate here. ...
4 months, 1 week ago (2017-05-17 20:11:21 UTC) #7
fdoray
PTAnL https://codereview.chromium.org/2883503002/diff/1/chrome/browser/task_manager/sampling/task_manager_impl.cc File chrome/browser/task_manager/sampling/task_manager_impl.cc (right): https://codereview.chromium.org/2883503002/diff/1/chrome/browser/task_manager/sampling/task_manager_impl.cc#newcode45 chrome/browser/task_manager/sampling/task_manager_impl.cc:45: {base::MayBlock(), base::TaskPriority::BACKGROUND})), On 2017/05/17 20:11:21, ncarter (slow) wrote: ...
4 months, 1 week ago (2017-05-19 18:50:11 UTC) #10
ncarter (slow)
lgtm
4 months ago (2017-05-22 17:04:37 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883503002/20001
4 months ago (2017-05-22 20:38:47 UTC) #15
commit-bot: I haz the power
4 months ago (2017-05-22 21:34:58 UTC) #18
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/fc395879fe38b3a86febe1dfc38e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b